Subject: Re: [bug#49933] [PATCH core-updates-frozen] gnu: util-linux: Disable unreliable ioctl_ns test

From: Thiago Jung Bauermann <[email-masked]>
Date: Mon, 09 Aug 2021 13:09:39 -0300

Hello Maxime,

Thank you for sending a v2. It looks good to me.

Em domingo, 8 de agosto de 2021, às 07:56:23 -03, Maxime Devos escreveu:
> Maxime Devos schreef op zo 08-08-2021 om 11:06 [+0200]:
> > +                              ;; The lsns tests can fail due to
> > ioctl(_, NS_GET_USERNS) +                              ;; returning
> > ENOTTY, indicating this kernel does not +                             
> > ;; support user namespaces.  Curiously, this test can fail +          
> >                    ;; on i686 even if the same test passes on x86_64
> > on the +                              ;; same machine.  See
> > <https://issues.guix.gnu.org/49933>;.
> This happend with a 5.10.47 kernel.  According to ioctl_ns(2),
> NS_GET_USERNS is available since Linux 4.9.  I wonder if this happens on
> i686 kernels as well, and if some extra things needs to be enabled in
> the kernel configuration.

Out of curiosity, I created an i686 KVM guest running Guix System, and the 
test passes there, on the core-updates-frozen branch. So it seems to be an 
issue with the x86_64 kernel running 32-bit binaries.

I also noticed that the ioctl_ns test is new in util-linux. It was added in 
version 2.37.

-- 
Thanks,
Thiago